﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WSXs (1 yr) Chan In Impedance IEEE /5500+S6
INSTRUMENT:            Sub LeCroy WSXs (1 yr) Ext In Impedance IEEE /5500+S6
INSTRUMENT:            Sub LeCroy WSXs (1 yr) DC Gain Acc IEEE /5500+S6
INSTRUMENT:            Sub LeCroy WSXs (1 yr) Offset Acc IEEE /5500+S6
INSTRUMENT:            Sub LeCroy WSXs (1 yr) Trigger Level IEEE /5500+S6
INSTRUMENT:            Sub LeCroy WSXs (1 yr) Time Base Acc IEEE /5500+S6
DATE:                  2011-11-28 21:40:15
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       53
NUMBER OF LINES:       839
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Procedure Author:  VY
#
#  Model(s) Covered:  WS24Xs, WS42Xs, WS44Xs, WS64Xs, WS62Xs, WS104Xs
#
#  Compatibility:     MET/CAL 7.20 or later
#
#  Subprocedures:     Sub LeCroy WSXs Cal Initialize IEEE
#
#  Required Files:    None
#
#  Additional Equipment Required:
#                     None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub LeCroy WSXs Cal Initialize IEEE
  1.002  MATH         Ch = @Chan
  1.003  MATH         Std = @DevName
  1.004  MATH         Conf = @SysConf

  1.005  5500         *                                                 S

  1.006  JMPL         CHANNEL_INPUT_IMPEDANCE       PSUBI("Chan In Impedance")
  1.007  JMPL         EXT_INPUT_IMPEDANCE           PSUBI("Ext In Impedance")
  1.008  JMPL         DC_GAIN_ACC                   PSUBI("DC Gain Acc")
  1.009  JMPL         OFFSET_ACC                    PSUBI("Offset Acc")
  1.010  JMPL         TRIGGER_LEVEL                 PSUBI("Trigger Level")
  1.011  JMPL         TIME_BASE_ACC                 PSUBI("Time Base Acc")
  1.012  DISP         {Undefined subprocedure!}
  1.013  END

  1.014  EVAL   Increment step number

# ====================== Channel Input Impedance ============================

  2.001  LABEL        CHANNEL_INPUT_IMPEDANCE

  2.002  IF           Ch == 1
  2.003  RSLT         =
  2.004  RSLT         =CHANNEL INPUT IMPEDANCE
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =Channel [V Ch]

  2.008  IF           @Bandwidth <= 600E+6
# WS24Xs/WS42Xs/WS44Xs/WS62Xs/WS64Xs
  2.009  TOL          1.0%
  2.010  ELSE
# WS104Xs
  2.011  TOL          1.5%
  2.012  ENDIF

  2.013  RSLT         =
  2.014  HEAD         CHAN INPUT IMPEDANCE (CH [V Ch], DC 50 Ohms, 20 mV/div)
  2.015  TARGET       -p
  2.016  DISP         Connect the 5500A SCOPE OUT to the UUT CH [V Ch].

  2.017  IF           @AverageFunc && Ch == 1
  2.018  DISP         The next operator intervention occurs in
  2.018  DISP         approximately 8 minutes, 20 seconds ...
  2.019  ELSEIF       @AverageFunc && Ch > 1
  2.020  DISP         The next operator intervention occurs in
  2.020  DISP         approximately 7 minutes, 40 seconds ...
  2.021  ELSE
  2.022  DISP         The next operator intervention occurs in
  2.022  DISP         approximately 6 minutes, 40 seconds ...
  2.023  ENDIF

  2.024  IEEE2        TDIV 50E-9
  2.025  IEEE2        TRMD AUTO
  2.026  IEEE2        C[V Ch]:CPL D50;VDIV 20E-3
  2.027  TSET         TDESC = DC 50 Ohms, 20 mV/div
  2.028  TSET         NTHROW = 2 NMEAS = 1
  2.029  TARGET       -m
  2.030  5500         50.00Z         TOL                             ZM    2W

  3.001  RSLT         =
  3.002  HEAD         CHAN INPUT IMPEDANCE (CH [V Ch], DC 50 Ohms, 200 mV/div)
  3.003  TARGET       -p
  3.004  IEEE2        C[V Ch]:CPL D50;VDIV 200E-3
  3.005  TSET         TDESC = DC 50 Ohms, 200 mV/div
  3.006  TSET         NTHROW = 2 NMEAS = 1
  3.007  TARGET       -m
  3.008  5500         50.00Z         TOL                             ZM    2W

  4.001  IF           @Bandwidth <= 600E+6
  4.002  TOL          1.0%
  4.003  ELSE
  4.004  TOL          1.25%
  4.005  ENDIF

  4.006  RSLT         =
  4.007  HEAD         CHAN INPUT IMPEDANCE (CH [V Ch], DC 1 MOhm, 20 mV/div)
  4.008  TARGET       -p
  4.009  IEEE2        C[V Ch]:CPL D1M;VDIV 20E-3
  4.010  TSET         TDESC = DC 1 MOhm, 20 mV/div
  4.011  TSET         NTHROW = 2 NMEAS = 1
  4.012  TARGET       -m
  4.013  5500         1.000MZ        TOL                             ZM    2W

  5.001  RSLT         =
  5.002  HEAD         CHAN INPUT IMPEDANCE (CH [V Ch], DC 1 MOhm, 200 mV/div)
  5.003  TARGET       -p
  5.004  IEEE2        C[V Ch]:CPL D1M;VDIV 200E-3
  5.005  TSET         TDESC = DC 1 MOhm,  200 mV/div
  5.006  TSET         NTHROW = 2 NMEAS = 1
  5.007  TARGET       -m
  5.008  5500         1.000MZ        TOL                             ZM    2W

  6.001  RSLT         =
  6.002  HEAD         CHAN INPUT IMPEDANCE (CH [V Ch], DC 1 MOhm, 2 V/div)
  6.003  TARGET       -p
  6.004  IEEE2        C[V Ch]:CPL D1M;VDIV 2
  6.005  TSET         TDESC = DC 1 MOhm, 2 V/div
  6.006  TSET         NTHROW = 2 NMEAS = 1
  6.007  TARGET       -m
  6.008  5500         1.000MZ        TOL                             ZM    2W

  7.001  5500         *                                                 S
  7.002  END

  7.003  EVAL   Increment step number

# ====================== External Input Impedance ===========================

  8.001  LABEL        EXT_INPUT_IMPEDANCE
  8.002  RSLT         =
  8.003  RSLT         =EXTERNAL TRIGGER INPUT IMPEDANCE

  8.004  RSLT         =
  8.005  HEAD         EXTERNAL TRIGGER INPUT IMPEDANCE (DC 50 Ohms)

  8.006  IF           @Bandwidth <= 600E+6
# WS24Xs/WS42Xs/WS44Xs/WS62Xs/WS64Xs
  8.007  TOL          1.0%
  8.008  ELSE
# WS104Xs
  8.009  TOL          1.25%
  8.010  ENDIF

  8.011  TARGET       -p
  8.012  DISP         Connect the 5500A SCOPE OUT to the UUT EXT.
  8.013  IEEE2        TRSE EDGE,SR,EX;EX:TRCP DC;TRMD AUTO;CPL D50
  8.014  TSET         TDESC = EXT, DC 50 Ohms
  8.015  TSET         NTHROW = 2 NMEAS = 1
  8.016  TARGET       -m
  8.017  5500         50.00Z         TOL                             ZM    2W

  9.001  RSLT         =
  9.002  HEAD         EXTERNAL TRIGGER INPUT IMPEDANCE (DC 1 MOhm)
  9.003  TARGET       -p
  9.004  IEEE2        CPL D1M
  9.005  TSET         TDESC = EXT, DC 1 MOhm
  9.006  TSET         NTHROW = 2 NMEAS = 1
  9.007  TARGET       -m
  9.008  5500         1.000MZ        TOL                             ZM    2W

 10.001  5500         *                                                 S
 10.002  END

 10.003  EVAL   Increment step number

# ====================== DC Gain Accuracy ===================================

 11.001  LABEL        DC_GAIN_ACC

 11.002  IF           Ch == 1
 11.003  RSLT         =
 11.004  RSLT         =DC GAIN ACCURACY
 11.005  ENDIF

 11.006  RSLT         =
 11.007  RSLT         =Channel [V Ch]

 11.008  RSLT         =
 11.009  HEAD         DC GAIN ACCURACY (CH [V Ch]):{ 2 mV/div, 50 Ohms}
 11.010  TARGET       -p
 11.011  IEEE2        C[V Ch]:CPL D50;VDIV 2E-3;OFST 0

 11.012  IF           @Bandwidth <= 600E+6
# According customer report, WR44Xi/WR62Xi/WR64xi doesn't support the 200 MHz
# bandwidth limit, so here the actual bandwidth has been re-set to 20 MHz
# (BWL ON) in lieu of the original setting of 200 MHz for LeCroy WaveSufer
# WS24Xs/WS42Xs/WS44Xs/WS62Xs/WS64Xs models to avoid execution error because
#  they have very similar test as LeCroy WaveRunner WR44Xi/WR62Xi/WR64xi.
 11.013  IEEE2        C[V Ch]:BWL ON
 11.014  ELSE
# WS104Xs
 11.015  IEEE2        C[V Ch]:BWL 200MHz
 11.016  ENDIF

 11.017  IEEE2        TRSE EDGE,SR,LINE;C[V Ch]:TRSL POS;TRCP DC
 11.018  IEEE2        TRMD AUTO
 11.019  IEEE2        TDIV 1E-6
 11.020  IEEE2        CRMS CUST,STAT
 11.021  IEEE2        PACL
 11.022  IEEE2        PACU 1,MEAN,"C[V Ch]"
 11.023  5500         6.00mV                                         S6 S
 11.024  TARGET       -m
 11.025  IEEE2        TRMD AUTO;CLSW
 11.026  WAIT         -t 3 Making UUT DC Gain measurement...
 11.027  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 11.028  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 11.029  MEMCX  16    6.00mV         1.37U

 12.001  5500         -6.00mV                                        S6 S
 12.002  TARGET       -m
 12.003  IEEE2        TRMD AUTO;CLSW
 12.004  WAIT         -t 3 Making UUT DC Gain measurement...
 12.005  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 12.006  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 12.007  MEMCX  16    -6.00mV        1.37U

 13.001  RSLT         =
 13.002  HEAD         DC GAIN ACCURACY (CH [V Ch]):{ 5 mV/div, 50 Ohms}
 13.003  TARGET       -p
 13.004  IEEE2        C[V Ch]:VDIV 5E-3
 13.005  5500         15.00mV                                        S6 S
 13.006  TARGET       -m
 13.007  IEEE2        TRMD AUTO;CLSW
 13.008  WAIT         -t 3 Making UUT DC Gain measurement...
 13.009  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 13.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 13.011  MEMCX  40    15.00mV        2.3U

 14.001  5500         -15.00mV                                       S6 S
 14.002  TARGET       -m
 14.003  IEEE2        TRMD AUTO;CLSW
 14.004  WAIT         -t 3 Making UUT DC Gain measurement...
 14.005  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 14.006  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 14.007  MEMCX  40    -15.00mV       2.3U

 15.001  RSLT         =
 15.002  HEAD         DC GAIN ACCURACY (CH [V Ch]):{ 10 mV/div, 50 Ohms}
 15.003  TARGET       -p
 15.004  IEEE2        C[V Ch]:VDIV 10E-3
 15.005  5500         30.00mV                                        S6 S
 15.006  TARGET       -m
 15.007  IEEE2        TRMD AUTO;CLSW
 15.008  WAIT         -t 3 Making UUT DC Gain measurement...
 15.009  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 15.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 15.011  MEMCX  80    30.00mV        2.25U

 16.001  5500         -30.00mV                                       S6 S
 16.002  TARGET       -m
 16.003  IEEE2        TRMD AUTO;CLSW
 16.004  WAIT         -t 3 Making UUT DC Gain measurement...
 16.005  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 16.006  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 16.007  MEMCX  80    -30.00mV       2.25U

 17.001  RSLT         =
 17.002  HEAD         DC GAIN ACCURACY (CH [V Ch]):{ 50 mV/div, 50 Ohms}
 17.003  TARGET       -p
 17.004  IEEE2        C[V Ch]:VDIV 50E-3
 17.005  5500         150.0mV                                        S6 S
 17.006  TARGET       -m
 17.007  IEEE2        TRMD AUTO;CLSW
 17.008  WAIT         -t 3 Making UUT DC Gain measurement...
 17.009  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 17.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 17.011  MEMCX  400   150.0mV        9.5U

 18.001  5500         -150.0mV                                       S6 S
 18.002  TARGET       -m
 18.003  IEEE2        TRMD AUTO;CLSW
 18.004  WAIT         -t 3 Making UUT DC Gain measurement...
 18.005  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 18.006  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 18.007  MEMCX  400   -150.0mV       9.5U

 19.001  RSLT         =
 19.002  HEAD         DC GAIN ACCURACY (CH [V Ch]):{ 100 mV/div, 50 Ohms}
 19.003  TARGET       -p
 19.004  IEEE2        C[V Ch]:VDIV 100E-3
 19.005  5500         300.0mV                                        S6 S
 19.006  TARGET       -m
 19.007  IEEE2        TRMD AUTO;CLSW
 19.008  WAIT         -t 3 Making UUT DC Gain measurement...
 19.009  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 19.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 19.011  MEMCX  800   300.0mV        13.5U

 20.001  5500         -300.0mV                                       S6 S
 20.002  TARGET       -m
 20.003  IEEE2        TRMD AUTO;CLSW
 20.004  WAIT         -t 3 Making UUT DC Gain measurement...
 20.005  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 20.006  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 20.007  MEMCX  800   -300.0mV       13.5U

 21.001  RSLT         =
 21.002  HEAD         DC GAIN ACCURACY (CH [V Ch]):{ 200 mV/div, 50 Ohms}
 21.003  TARGET       -p
 21.004  IEEE2        C[V Ch]:VDIV 200E-3
 21.005  5500         600.0mV                                        S6 S
 21.006  TARGET       -m
 21.007  IEEE2        TRMD AUTO;CLSW
 21.008  WAIT         -t 3 Making UUT DC Gain measurement...
 21.009  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 21.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 21.011  MEMCX  1600  600.0mV        26.0U

 22.001  5500         -600.0mV                                       S6 S
 22.002  TARGET       -m
 22.003  IEEE2        TRMD AUTO;CLSW
 22.004  WAIT         -t 3 Making UUT DC Gain measurement...
 22.005  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 22.006  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 22.007  MEMCX  1600  -600.0mV       26.0U

 23.001  RSLT         =
 23.002  HEAD         DC GAIN ACCURACY (CH [V Ch]):{ 1 V/div, 50 Ohms}
 23.003  TARGET       -p
 23.004  IEEE2        C[V Ch]:VDIV 1
 23.005  5500         3.000V                                         S6 S
 23.006  TARGET       -m
 23.007  IEEE2        TRMD AUTO;CLSW
 23.008  WAIT         -t 3 Making UUT DC Gain measurement...
 23.009  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 23.010  MATH         MEM = FLD(MEM2, 2, ",")
 23.011  MEMCX  8     3.000V         0.126U

 24.001  5500         -3.000V                                        S6 S
 24.002  TARGET       -m
 24.003  IEEE2        TRMD AUTO;CLSW
 24.004  WAIT         -t 3 Making UUT DC Gain measurement...
 24.005  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 24.006  MATH         MEM = FLD(MEM2, 2, ",")
 24.007  MEMCX  8     -3.000V        0.126U

 25.001  RSLT         =
 25.002  HEAD         DC GAIN ACCURACY (CH [V Ch]):{ 2 mV/div, 1 MOhm}
 25.003  TARGET       -p
 25.004  IEEE2        C[V Ch]:CPL D1M;VDIV 2E-3
 25.005  5500         6.00mV                                         S6 S
 25.006  TARGET       -m
 25.007  IEEE2        TRMD AUTO;CLSW
 25.008  WAIT         -t 3 Making UUT DC Gain measurement...
 25.009  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 25.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 25.011  MEMCX  16    6.00mV         1.37U

 26.001  5500         -6.00mV                                        S6 S
 26.002  TARGET       -m
 26.003  IEEE2        TRMD AUTO;CLSW
 26.004  WAIT         -t 3 Making UUT DC Gain measurement...
 26.005  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 26.006  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 26.007  MEMCX  16    -6.00mV        1.37U

 27.001  RSLT         =
 27.002  HEAD         DC GAIN ACCURACY (CH [V Ch]):{ 5 mV/div, 1 MOhm}
 27.003  TARGET       -p
 27.004  IEEE2        C[V Ch]:VDIV 5E-3
 27.005  5500         15.00mV                                        S6 S
 27.006  TARGET       -m
 27.007  IEEE2        TRMD AUTO;CLSW
 27.008  WAIT         -t 3 Making UUT DC Gain measurement...
 27.009  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 27.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 27.011  MEMCX  40    15.00mV        2.3U

 28.001  5500         -15.00mV                                       S6 S
 28.002  TARGET       -m
 28.003  IEEE2        TRMD AUTO;CLSW
 28.004  WAIT         -t 3 Making UUT DC Gain measurement...
 28.005  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 28.006  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 28.007  MEMCX  40    -15.00mV       2.3U

 29.001  RSLT         =
 29.002  HEAD         DC GAIN ACCURACY (CH [V Ch]):{ 10 mV/div, 1 MOhm}
 29.003  TARGET       -p
 29.004  IEEE2        C[V Ch]:VDIV 10E-3
 29.005  5500         30.00mV                                        S6 S
 29.006  TARGET       -m
 29.007  IEEE2        TRMD AUTO;CLSW
 29.008  WAIT         -t 3 Making UUT DC Gain measurement...
 29.009  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 29.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 29.011  MEMCX  80    30.00mV        2.25U

 30.001  5500         -30.00mV                                       S6 S
 30.002  TARGET       -m
 30.003  IEEE2        TRMD AUTO;CLSW
 30.004  WAIT         -t 3 Making UUT DC Gain measurement...
 30.005  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 30.006  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 30.007  MEMCX  80    -30.00mV       2.25U

 31.001  RSLT         =
 31.002  HEAD         DC GAIN ACCURACY (CH [V Ch]):{ 50 mV/div, 1 MOhm}
 31.003  TARGET       -p
 31.004  IEEE2        C[V Ch]:VDIV 50E-3
 31.005  5500         150.0mV                                        S6 S
 31.006  TARGET       -m
 31.007  IEEE2        TRMD AUTO;CLSW
 31.008  WAIT         -t 3 Making UUT DC Gain measurement...
 31.009  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 31.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 31.011  MEMCX  400   150.0mV        9.5U

 32.001  5500         -150.0mV                                       S6 S
 32.002  TARGET       -m
 32.003  IEEE2        TRMD AUTO;CLSW
 32.004  WAIT         -t 3 Making UUT DC Gain measurement...
 32.005  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 32.006  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 32.007  MEMCX  400   -150.0mV       9.5U

 33.001  RSLT         =
 33.002  HEAD         DC GAIN ACCURACY (CH [V Ch]):{ 100 mV/div, 1 MOhm}
 33.003  TARGET       -p
 33.004  IEEE2        C[V Ch]:VDIV 100E-3
 33.005  5500         300.0mV                                        S6 S
 33.006  TARGET       -m
 33.007  IEEE2        TRMD AUTO;CLSW
 33.008  WAIT         -t 3 Making UUT DC Gain measurement...
 33.009  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 33.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 33.011  MEMCX  800   300.0mV        13.5U

 34.001  5500         -300.0mV                                       S6 S
 34.002  TARGET       -m
 34.003  IEEE2        TRMD AUTO;CLSW
 34.004  WAIT         -t 3 Making UUT DC Gain measurement...
 34.005  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 34.006  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 34.007  MEMCX  800   -300.0mV       13.5U

 35.001  RSLT         =
 35.002  HEAD         DC GAIN ACCURACY (CH [V Ch]):{ 200 mV/div, 1 MOhm}
 35.003  TARGET       -p
 35.004  IEEE2        C[V Ch]:VDIV 200E-3
 35.005  5500         600.0mV                                        S6 S
 35.006  TARGET       -m
 35.007  IEEE2        TRMD AUTO;CLSW
 35.008  WAIT         -t 3 Making UUT DC Gain measurement...
 35.009  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 35.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 35.011  MEMCX  1600  600.0mV        26.0U

 36.001  5500         -600.0mV                                       S6 S
 36.002  TARGET       -m
 36.003  IEEE2        TRMD AUTO;CLSW
 36.004  WAIT         -t 3 Making UUT DC Gain measurement...
 36.005  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 36.006  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 36.007  MEMCX  1600  -600.0mV       26.0U

 37.001  RSLT         =
 37.002  HEAD         DC GAIN ACCURACY (CH [V Ch]):{ 1 V/div, 1 MOhm}
 37.003  TARGET       -p
 37.004  IEEE2        C[V Ch]:VDIV 1
 37.005  5500         3.000V                                         S6 S
 37.006  TARGET       -m
 37.007  IEEE2        TRMD AUTO;CLSW
 37.008  WAIT         -t 3 Making UUT DC Gain measurement...
 37.009  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 37.010  MATH         MEM = FLD(MEM2, 2, ",")
 37.011  MEMCX  8     3.000V         0.126U

 38.001  5500         -3.000V                                        S6 S
 38.002  TARGET       -m
 38.003  IEEE2        TRMD AUTO;CLSW
 38.004  WAIT         -t 3 Making UUT DC Gain measurement...
 38.005  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 38.006  MATH         MEM = FLD(MEM2, 2, ",")
 38.007  MEMCX  8     -3.000V        0.126U

 39.001  5500         *                                                 S
 39.002  END

 39.003  EVAL   Increment step number

# ====================== Offset Accuracy ====================================

 40.001  LABEL        OFFSET_ACC

 40.002  IF           @Chan == 1
 40.003  RSLT         =
 40.004  RSLT         =OFFSET ACCURACY
 40.005  ENDIF

 40.006  RSLT         =
 40.007  RSLT         =Channel [V Ch]

 40.008  IF           @Bandwidth <= 600E+6
# WS24Xs/WS42Xs/WS44Xs/WS62Xs/WS64Xs
 40.009  TOL          14.2U
 40.010  ELSE
# WS104Xs
 40.011  TOL          16.2U
 40.012  ENDIF

 40.013  RSLT         =
 40.014  HEAD         OFFSET ACCURACY (CH [V Ch]):{ 50 mV/div, 50 Ohms}
 40.015  VSET         CONF = [V Conf]
 40.016  TARGET       -p
 40.017  IEEE2        C[V Ch]:CPL D50;VDIV 50E-3;OFST 0.75

 40.018  IF           @Bandwidth <= 600E+6
# According customer report, WR44Xi/WR62Xi/WR64xi doesn't support the 200 MHz
# bandwidth limit, so here the actual bandwidth has been re-set to 20 MHz
# (BWL ON) in lieu of the original setting of 200 MHz for LeCroy WaveSufer
# WS24Xs/WS42Xs/WS44Xs/WS62Xs/WS64Xs models to avoid execution error because
#  they have very similar test as LeCroy WaveRunner WR44Xi/WR62Xi/WR64xi.
 40.019  IEEE2        C[V Ch]:BWL ON
 40.020  ELSE
# WS104Xs
 40.021  IEEE2        C[V Ch]:BWL 200MHz
 40.022  ENDIF

 40.023  IEEE2        TRSE EDGE,SR,LINE;C[V Ch]:TRSL POS;TRCP DC
 40.024  IEEE2        TRMD AUTO
 40.025  IEEE2        TDIV 1E-6
 40.026  IEEE2        CRMS CUST,STAT
 40.027  IEEE2        PACL
 40.028  IEEE2        PACU 1,MEAN,"C[V Ch]"
 40.029  TSET         TDESC = Offset 0.75 V, Input -0.75 V
 40.030  TSET         CPT = 0 mV
 40.031  FMT          CPT = %.1f
 40.032  TARGET       -m
 40.033  5500         -0.75V                                         S6 S
# Save the value of calibrator output.
 40.034  MATH         Vstd = MEM1
# Get the accuracy of offset signal.
 40.035  MATH         L[1] = ACCV(Std, "Volts S6", Vstd)
# Expand to system confidence level and convert to mV unit.
 40.036  MATH         L[1] = (L[1] / CONF(Std) * Conf) / 1E-3
# Setup system accuracy
 40.037  ACC          0.0mV          L1U
 40.038  IEEE2        TRMD AUTO;CLSW
 40.039  WAIT         -t 3 Making UUT DC Offset measurement...
 40.040  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 40.041  MATH         MEM = FLD(MEM2, 2, ",")
# Set difference between mean value and calibrator output value as UUT
# indicated value.
 40.042  MATH         MEM = (MEM - Vstd) / 1E-3
 40.043  MEMCX        mV             TOL

 41.001  IEEE2        C[V Ch]:OFST -0.75
 41.002  TSET         TDESC = Offset -0.75 V, Input 0.75 V
 41.003  TSET         CPT = 0 mV
 41.004  FMT          CPT = %.1f
 41.005  TARGET       -m
 41.006  5500         0.75V                                          S6 S
 41.007  MATH         Vstd = MEM1
 41.008  MATH         L[1] = ACCV(Std, "Volts S6", Vstd)
 41.009  MATH         L[1] = (L[1] / CONF(Std) * Conf) / 1E-3
 41.010  ACC          0.0mV          L1U
 41.011  IEEE2        TRMD AUTO;CLSW
 41.012  WAIT         -t 3 Making UUT DC Offset measurement...
 41.013  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 41.014  MATH         MEM = FLD(MEM2, 2, ",")
 41.015  MATH         MEM = (MEM - Vstd) / 1E-3
 41.016  MEMCX        mV             TOL

 42.001  RSLT         =
 42.002  HEAD         OFFSET ACCURACY (CH [V Ch]):{ 50 mV/div, 1 MOhm}
 42.003  VSET         CONF = [V Conf]
 42.004  TARGET       -p
 42.005  IEEE2        C[V Ch]:CPL D1M;VDIV 50E-3;OFST 0.75
 42.006  TSET         TDESC = Offset 0.75 V, Input -0.75 V
 42.007  TSET         CPT = 0 mV
 42.008  FMT          CPT = %.1f
 42.009  TARGET       -m
 42.010  5500         -0.75V                                         S6 S
 42.011  MATH         Vstd = MEM1
 42.012  MATH         L[1] = ACCV(Std, "Volts S6", Vstd)
 42.013  MATH         L[1] = (L[1] / CONF(Std) * Conf) / 1E-3
 42.014  ACC          0.0mV          L1U
 42.015  IEEE2        TRMD AUTO;CLSW
 42.016  WAIT         -t 3 Making UUT DC Offset measurement...
 42.017  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 42.018  MATH         MEM = FLD(MEM2, 2, ",")
 42.019  MATH         MEM = (MEM - Vstd) / 1E-3
 42.020  MEMCX        mV             TOL

 43.001  IEEE2        C[V Ch]:OFST -0.75
 43.002  TSET         TDESC = Offset -0.75 V, Input 0.75 V
 43.003  TSET         CPT = 0 mV
 43.004  FMT          CPT = %.1f
 43.005  TARGET       -m
 43.006  5500         0.75V                                          S6 S
 43.007  MATH         Vstd = MEM1
 43.008  MATH         L[1] = ACCV(Std, "Volts S6", Vstd)
 43.009  MATH         L[1] = (L[1] / CONF(Std) * Conf) / 1E-3
 43.010  ACC          0.0mV          L1U
 43.011  IEEE2        TRMD AUTO;CLSW
 43.012  WAIT         -t 3 Making UUT DC Offset measurement...
 43.013  IEEE         TRMD STOP;C[V Ch]:PAVA? MEAN[I$]
 43.014  MATH         MEM = FLD(MEM2, 2, ",")
 43.015  MATH         MEM = (MEM - Vstd) / 1E-3
 43.016  MEMCX        mV             TOL

 44.001  FMT          CPT = *
 44.002  5500         *                                                 S
 44.003  END

 44.004  EVAL   Increment step number

# ======================= Trigger Level =====================================

 45.001  LABEL        TRIGGER_LEVEL
# TUR checking turned off because measured slope value not related to 5500
# output amplitude accuracy.
 45.002  ASK-                              U

 45.003  IF           Ch == 1
 45.004  RSLT         =
 45.005  RSLT         =TRIGGER LEVEL
 45.006  ENDIF

 45.007  RSLT         =
 45.008  RSLT         =Channel [V Ch]

 45.009  RSLT         =
 45.010  HEAD         { TRIGGER AT 0 DIVISION THRESHOLD}: (Channel [V Ch])
 45.011  TARGET       -p
 45.012  IEEE2        C[V Ch]:CPL D50;VDIV 100E-3;OFST 0
 45.013  IEEE2        TRSE EDGE,SR,C[V Ch]
 45.014  IEEE2        C[V Ch]:TRSL POS;TRCP DC;TRLV 0.0V
 45.015  IEEE2        TDIV 10E-6
 45.016  IEEE2        TRMD AUTO;TRDL 50E-6

# Define new function trace if math software option is available, otherwise
# manually set the pre-processing action.
 45.017  IF           @AverageFunc
 45.018  MATH         Trace = "F1"
 45.019  IEEE2        [V Trace]:DEF EQN,'AVG(C[V Ch])',SWEEPS,10
 45.020  IEEE2        C[V Ch]:TRA OFF;[V Trace]:TRA ON

 45.021  ELSE
 45.022  DISP         System has detected there is no Extended Math option
 45.022  DISP         (LeCroy WSXs-MATHSURF) installed in this UUT, so we
 45.022  DISP         have to ask you to do following setting manually.
 45.022  DISP
 45.022  DISP         Touch the C[V Ch] trace label below the grid of screen.
 45.022  DISP         Alternatively you can also touch Vertical in the menu
 45.022  DISP         bar, then touch channel [V Ch] Setup...
 45.022  DISP
 45.022  DISP         Touch the Averaging field under Pre-Processing in the
 45.022  DISP         C[V Ch] Vertical Adjust dialog. Touch inside the Sweeps
 45.022  DISP         field and type 10 using the pop-up keypad and then touch
 45.022  DISP         OK button to close the pop-up Average dialog.
 45.022  DISP
 45.022  DISP         Touch Close button to close the Vertical Adjust dialog.

 45.023  IF           Ch == 1
 45.024  DISP         The next operator intervention occurs in
 45.024  DISP         approximately 1 minutes, 20 seconds...
 45.025  ELSE
 45.026  DISP         The next operator intervention occurs in
 45.026  DISP         approximately 50 seconds...
 45.027  ENDIF

 45.028  MATH         Trace = "C" & Ch
 45.029  ENDIF

# Adjust the calibrator output amplitude to get 90% of full scale.
 45.030  MATH         MEM = 720; MEM1 = MEM
 45.031  IEEE2        PACL
 45.032  IEEE2        PACU 1,PKPK,"[V Trace]"

 45.033  DO
 45.034  MATH         MEM = MEM1 + (720 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 45.035  IF           MEM > 3500 || MEM < 5
 45.036  MATH         MEM = 720
 45.037  ENDIF

# Note: According the performance verification manual, the test should be done
# with 10 kHz test signal. Because 5500A level-sine function limit, we used
# 100 kHz signal in place of.
 45.038  5500         mVpp                         100kH          LS S6 S  L
 45.039  IEEE2        CLSW[D1000]
 45.040  IEEE         [V Trace]:PAVA? PKPK[I$]
 45.041  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 45.042  UNTIL        MEM > 699 && MEM < 721

# Save the Last calibrator amplitude setting.
 45.043  MATH         Vstd = MEM1
 45.044  IEEE2        CRMS HREL,ABS
 45.045  IEEE2        [V Trace]:CRST HABS,5 DIV,HREF,5 DIV,HDIF,5 DIV
 45.046  WAIT         -t 2 Cursor Measurement Initializing...
 45.047  TARGET       -m
 45.048  IEEE2        CLSW
 45.049  WAIT         -t 2 Making UUT Trigger threshold measurement...
 45.050  IEEE         [V Trace]:CRVA? HREL[I$]
# Parse trigger level voltages at two cursors from UUT response, average and
# then convert to mV.
 45.051  MATH         MEM = (FLD(MEM2, 4, ",") + FLD(MEM2, 5, ",")) / 2 / 1E-3
 45.052  TSET         TDESC = Positive Slope
 45.053  MEMCX        0.00mV         34.00U

 46.001  IEEE2        C[V Ch]:TRSL NEG
# Retrieve last calibrator setting.
 46.002  MATH         MEM = Vstd
 46.003  5500         mVpp                         100kH          LS S6 S  L
 46.004  WAIT         -t 3 Settling ...
 46.005  IEEE2        C[V Ch]:TRLV 0V
 46.006  TARGET       -m
 46.007  IEEE2        CLSW
 46.008  WAIT         -t 2 Making UUT Trigger threshold measurement...
 46.009  IEEE         [V Trace]:CRVA? HREL[I$]
 46.010  MATH         MEM = (FLD(MEM2, 4, ",") + FLD(MEM2, 5, ",")) / 2 / 1E-3
 46.011  TSET         TDESC = Negative Slope
 46.012  MEMCX        0.00mV         34.00U

 47.001  RSLT         =
 47.002  HEAD         { TRIGGER AT +2.5 DIVISION THRESHOLD}: (Channel [V Ch])
 47.003  TARGET       -p
 47.004  MATH         MEM = Vstd
 47.005  5500         mVpp                         100kH          LS S6 S  L
 47.006  WAIT         -t 3 Settling ...
 47.007  IEEE2        C[V Ch]:TRSL POS;TRLV 0.25V
 47.008  TARGET       -m
 47.009  IEEE2        CLSW
 47.010  WAIT         -t 2 Making UUT Trigger threshold measurement...
 47.011  IEEE         [V Trace]:CRVA? HREL[I$]
 47.012  MATH         MEM = (FLD(MEM2, 4, ",") + FLD(MEM2, 5, ",")) / 2 / 1E-3
 47.013  TSET         TDESC = Positive Slope
 47.014  MEMCX        250.0mV        34.0U

 48.001  IEEE2        C[V Ch]:TRSL NEG
 48.002  MATH         MEM = Vstd
 48.003  5500         mVpp                         100kH          LS S6 S  L
 48.004  WAIT         -t 3 Settling ...
 48.005  TARGET       -m
 48.006  IEEE2        CLSW
 48.007  WAIT         -t 2 Making UUT Trigger threshold measurement...
 48.008  IEEE         [V Trace]:CRVA? HREL[I$]
 48.009  MATH         MEM = (FLD(MEM2, 4, ",") + FLD(MEM2, 5, ",")) / 2 / 1E-3
 48.010  TSET         TDESC = Negative Slope
 48.011  MEMCX        250.0mV        34.0U

 49.001  RSLT         =
 49.002  HEAD         { TRIGGER AT -2.5 DIVISION THRESHOLD}: (Channel [V Ch])
 49.003  TARGET       -p
 49.004  MATH         MEM = Vstd
 49.005  5500         mVpp                         100kH          LS S6 S  L
 49.006  WAIT         -t 3 Settling ...
 49.007  IEEE2        C[V Ch]:TRSL POS;TRLV -0.25V
 49.008  TARGET       -m
 49.009  IEEE2        CLSW
 49.010  WAIT         -t 2 Making UUT Trigger threshold measurement...
 49.011  IEEE         [V Trace]:CRVA? HREL[I$]
 49.012  MATH         MEM = (FLD(MEM2, 4, ",") + FLD(MEM2, 5, ",")) / 2 / 1E-3
 49.013  TSET         TDESC = Positive Slope
 49.014  MEMCX        -250.0mV       34.0U

 50.001  IEEE2        C[V Ch]:TRSL NEG
 50.002  MATH         MEM = Vstd
 50.003  5500         mVpp                         100kH          LS S6 S  L
 50.004  WAIT         -t 3 Settling ...
 50.005  TARGET       -m
 50.006  IEEE2        CLSW
 50.007  WAIT         -t 2 Making UUT Trigger threshold measurement...
 50.008  IEEE         [V Trace]:CRVA? HREL[I$]
 50.009  MATH         MEM = (FLD(MEM2, 4, ",") + FLD(MEM2, 5, ",")) / 2 / 1E-3
 50.010  TSET         TDESC = Negative Slope
 50.011  MEMCX        -250.0mV       34.0U

 51.001  5500         *                                                 S
# Turn TUR checking back on
 51.002  ASK+                              U
 51.003  END

 51.004  EVAL   Increment step number

# ===================== Time Base Accuracy ==================================

 52.001  LABEL        TIME_BASE_ACC
 52.002  RSLT         =
 52.003  HEAD         {TIME BASE ACCURACY}
 52.004  TARGET
 52.005  IEEE2        C[V Ch]:CPL D50;VDIV 100E-3;OFST 0V
 52.006  IEEE2        TRSE EDGE,SR,C[V Ch];TRSL POS;TRCP DC
 52.007  IEEE2        TRMD NORM;TRDL 0;C[V Ch]:TRLV 0V
 52.008  IEEE2        TDIV 500E-3
 52.009  IEEE2        MSIZ 500K
 52.010  IEEE2        PACU 1,FREQ,'C[V Ch]'
 52.010  IEEE2        PACU 2,AMPL,'C[V Ch]'
 52.011  5500         10.000000MH                  600mVpp        LS S6 S  L
 52.012  TARGET       -m
 52.013  IEEE2        CLSW
 52.014  WAIT         -t 7 Making UUT frequency deviation measurement...
# Read input frequency value from UUT.
 52.015  IEEE         C[V Ch]:PAVA? FREQ[I$]
# Parse measured value (deviation from nominal) from returned string.
 52.016  MATH         MEM = FLD(MEM2, 2, ",") / 1E+6
# Algebraically add measured deviation to nominal to compute actual.
 52.017  MATH         MEM = 10 + MEM
 52.018  MEMC         10.000000MH    0.000100U

 53.001  5500         *                                                 S
 53.002  END
